=begin pod

=TITLE X::Parameter::MultipleTypeConstraints

=SUBTITLE Compilation error due to a parameter with multiple type constraints

    class X::Parameter::MultipleTypeConstraints does X::Comp { }

Compile time error thrown when a parameter has multiple type constraints.
This is not allowed in Perl 6.0.

Example:

    sub f(Cool Real $x) { }

produces

    Parameter $x may onle have one prefix type constraint

=head1 Methods

=head2 method parameter

Returns the name of the offensive parameter.

=end pod
